Skip to main content
GET
Search profiles by username or email

Query Parameters

q
string

Search query (matches username or email, case-insensitive). Empty returns recent profiles.

limit
integer<int64>
default:10

Max results

Required range: 1 <= x <= 12
prev
string

Cursor: profile UUID — return profiles with id < prev

Response

object[] | null

OK

created_at
string<date-time>
required

Created timestamp

email
string
required

Email address

id
string
required

Profile ID (UUID)

is_ai_assistant
boolean
required

Whether this is an AI assistant profile

updated_at
string<date-time>
required

Updated timestamp

$schema
string<uri>
read-only

A URL to the JSON Schema for this object.

Example:

"https://api.linebundle.com/schemas/Profile.json"

avatar_url
string

Avatar URL

deleted_at
string<date-time>

Soft-deleted timestamp

external_auth_id
string

Zitadel sub claim

owner_id
string

Owner profile ID (for AI assistants)

terms_accepted_at
string<date-time>

When terms were accepted

username
string

Username (AI assistants)

Last modified on June 11, 2026